Retention

Get Retention Drivers For Project

GET
/v0/project/{idOrSlug}/retention/drivers

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Query Parameters

granularity?|null
cohortFrom*string
cohortTo*string
targetPeriod?string|null
source*string
Value in"web" | "mods"
minSegmentUsers?string|null

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v0/project/string/retention/drivers?cohortFrom=string&cohortTo=string&source=web"
[
  {
    "source": "web",
    "field": "string",
    "value": "string",
    "cohortUsers": 0,
    "retainedUsers": 0,
    "retentionRate": 0,
    "baselineRate": 0,
    "deltaPoints": 0,
    "impactScore": 0
  }
]
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}